#include "controller.h"
#include <QDebug>

Controller::Controller(Lampe *_l1, Lampe *_l2, Lampe *_l3, QObject *parent)
    : QObject(parent)
{
    l1 = _l1;
    l2 = _l2;
    l3 = _l3;
    nbLampes = 0;
}

void Controller::reset()
{
    nbLampes = 0;
    changeLampes();
}

void Controller::augmente()
{
    if (nbLampes < 3) nbLampes++; else nbLampes=0;
    changeLampes();
}

void Controller::changeLampes()
{
    switch (nbLampes) {
    case 0:
        l1->eteindre();
        l2->eteindre();
        l3->eteindre();
        break;
    case 1:
        l1->allumer();
        l2->eteindre();
        l3->eteindre();
        break;
    case 2:
        l1->allumer();
        l2->allumer();
        l3->eteindre();
        break;
    case 3:
        l1->allumer();
        l2->allumer();
        l3->allumer();
        break;
    default:
        break;
    }
}
