#ifndef CONTROLLER_H
#define CONTROLLER_H

#include <QObject>
#include "lampe.h"

class Controller : public QObject
{
    Q_OBJECT
public:
    Controller(Lampe * _l1, Lampe * _l2 , Lampe * _l3, QObject *parent = 0 );

    void reset();

private :
    void changeLampes();

    int nbLampes;
    Lampe *l1;
    Lampe *l2;
    Lampe *l3;

signals:
    void nouvelEtat();
public slots:
    void augmente();
};

#endif // CONTROLLER_H
