#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "lampe.h"
#include "controller.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;

    Lampe *l1,*l2,*l3;
    Controller * c;

public slots:
    void afficheLampe1(int etat);
    void afficheLampe2(int etat);
    void afficheLampe3(int etat);
};

#endif // MAINWINDOW_H
